package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Rtu对象 rtu
 *
 * @author hlf
 * @date 2022-01-10
 */
public class Rtu extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long rtuNo;

    private Long rtuType;

    private String windplantName;

    private String rtuTypeName;

    public void setRtuNo(Long rtuNo) {
        this.rtuNo = rtuNo;
    }

    public Long getRtuNo() {
        return rtuNo;
    }

    public void setRtuType(Long rtuType) {
        this.rtuType = rtuType;
    }

    public Long getRtuType() {
        return rtuType;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getRtuTypeName() {
        return rtuTypeName;
    }

    public void setRtuTypeName(String rtuTypeName) {
        this.rtuTypeName = rtuTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("rtuNo", getRtuNo())
                .append("rtuType", getRtuType())
                .toString();
    }
}
